Subject: bash: exported env. variables change name in child, Beta 18, NT4.0
From: [email-masked] (Batchler, Wayne)

5 Nov 1997 07:58:22 -0800
Message-ID: <c=US%a=_%p=NCR%l=[email-masked]>
To: "[email-masked]'" <[email-masked]>

I've done a binary install of beta 18 on an NT4.0 system, and have had
some script problems. I have determine the cause to be that the names of
environment variables in child processes created under bash change.  The
names all get converted to upper case.  As an example of what I mean I
have pasted an annotated bash transcript below (annotation preceded by
<--).

WAYNEC4:~ 1 >echo $var                <-- check for name
                                      <-- okay, no defined
WAYNEC4:~ 2 >echo $VAR                <--
                                      <-- not defined
WAYNEC4:~ 3 >export var=joejoe        <-- define var
WAYNEC4:~ 4 >export VAR=janejane      <-- define VAR
WAYNEC4:~ 5 >echo $var                <--
joejoe                                <-- what I expected
WAYNEC4:~ 6 >echo $VAR                <--
janejane                              <-- also what I expected
WAYNEC4:~ 7 >/bin/sh                  <-- copy of
/gnuwin32/b18/.../bash.exe
WAYNEC4:~ 1 >echo $var                <-- did the child inherit
                                      <-- not what I expected
WAYNEC4:~ 2 >echo $VAR                <-- did the child inherit
joejoe                                <-- very much not what I expected
WAYNEC4:~ 3 >exit                     <-- go back
exit                                  <--
WAYNEC4:~ 8 >echo $var                <-- 
joejoe                                <-- still there
WAYNEC4:~ 9 >echo $VAR                <--
janejane                              <-- still there
WAYNEC4:~ 10 >

I must have set something up wrong, but I can't find it in the FAQ or
recent mailing list archives.  How do I fix this so the environment
variables don't change case?

Thanks,
Wayne Batchler
NCR Corporation         [email-masked]
3325 Platt Springs Rd.                  ph: (803)939-6516
West Columbia, SC  29170               fax: (803)939-7317
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".